import program = require("commander");
import "isomorphic-fetch";
import HttpClient from "./lib/HttpClient";
program
    .option("-a, --address <n>", "http address")
    .option("-q, --query <n>", "Query")
    .option("-p, --params <n>", "Params")
    .parse(process.argv);

const client = new HttpClient({ address: program.address || "http://127.0.0.1:7001" });
client.query(program.query, program.params).then((res) => {
    // tslint:disable-next-line:no-console
    console.log(res);
});
