
export enum DataType {

    boolean = "boolean",

    char = "char",
    nchar = "nchar",
    varchar = "varchar",
    nvarchar = "nvarchar",

    text = "text",
    tinytext = "tinytext",
    mediumtext = "mediumtext",
    longtext = "longtext",
    json = "json",

    date = "date",
    datetime = "datetime",
    time = "time",
    timestamp = "timestamp",
    year = "year",

    int = "int",
    tinyint = "tinyint",
    smallint = "smallint",
    mediumint = "mediumint",
    bigint = "bigint",

    decimal = "decimal",
    double = "double",
    float = "float",
    real = "real",

    bit = "bit",
    enum = "enum",
    set = "set",

    blob = "blob",
    tinyblob = "tinyblob",
    mediumblob = "mediumblob",
    longblob = "longblob",

    binary = "binary",
    varbinary = "varbinary",

}
export default DataType;
